srvpm.h File Reference

srv:pm service. More...

Go to the source code of this file.

## Functions

Result | srvPmInit (void)
| Initializes srv:pm and the service API.
void | srvPmExit (void)
| Exits srv:pm and the service API.
Handle * | srvPmGetSessionHandle (void)
| Gets the current srv:pm session handle. More...
Result | SRVPM_PublishToProcess (u32 notificationId, Handle process)
| Publishes a notification to a process. More...
Result | SRVPM_PublishToAll (u32 notificationId)
| Publishes a notification to all processes. More...
Result | SRVPM_RegisterProcess (u32 pid, u32 count, const char(*serviceAccessControlList)[8])
| Registers a process with SRV. More...
Result | SRVPM_UnregisterProcess (u32 pid)
| Unregisters a process with SRV. More...

## Detailed Description

srv:pm service.

## Function Documentation

## SRVPM_PublishToAll()

Result SRVPM_PublishToAll | ( | u32 | notificationId | ) |

Publishes a notification to all processes.

Parameters

  notificationId | ID of the notification.

## SRVPM_PublishToProcess()

Result SRVPM_PublishToProcess | ( | u32 | notificationId,
|  | Handle | process
| ) |  |

Publishes a notification to a process.

Parameters

  notificationId | ID of the notification.
  process | Process to publish to.

## SRVPM_RegisterProcess()

Result SRVPM_RegisterProcess | ( | u32 | pid,
|  | u32 | count,
|  | const char(*) | serviceAccessControlList[8]
| ) |  |

Registers a process with SRV.

Parameters

  pid | ID of the process.
  count | Number of services within the service access control data.
  serviceAccessControlList | Service Access Control list.

## SRVPM_UnregisterProcess()

Result SRVPM_UnregisterProcess | ( | u32 | pid | ) |

Unregisters a process with SRV.

Parameters

  pid | ID of the process.

## srvPmGetSessionHandle()

Handle* srvPmGetSessionHandle | ( | void |  | ) |

Gets the current srv:pm session handle.

Returns
  The current srv:pm session handle.